# Thunderbird filters

Here are my Thunderbird email filters. These are individual filters for things like sorting inbox content or deleting stuff that amounts to spam from otherwise okay senders (i.e. promotional emails from shopping sites or whatever)

You're meant to paste them into your `msgFilterRules.dat` for a given email account (after the header, which I have excluded from any individual filters saved here because they're basically just fragments of one of those files anyways)

## subfolder README.md contents

If there's more than a `sort.dat` in a given folder, it will have its own `README.md` which provides information on what each individual filter does.

If a filter is for sorting emails into folders, you'll need to edit it to replace the `actionValue` in the file with the imap URL to the folder you want to move it to. by default all of mine here have my actual email replaced with `{YOUREMAIL}@{YOURPROVIDER}` (partially because a lot of these are for my irl personal email which I just don't want to share here lol).

For the filters marked `[SPAM]`, if you have any sorting filters for the same domain you'll want to make sure the spam-deleting filters are listed above the sorting filters inside Thunderbird.
